<template>
  <div class="page signup-page sizes">
    <div class="container">
      <pwp-foc ref="pwpFocSelection"></pwp-foc>
    </div>
  </div>
</template>
<script>
import PwpFoc from '@/app/eshop/focpwp/components/FocPwp'
import { mapActions } from 'vuex'
export default {
  name: 'PwpFocSelectionPage',
  components: { PwpFoc },
  mounted() {},
  methods: {
    ...mapActions(['logError']),
    validateAndSubmit: async function() {
      let self = this
      let result = this.$refs.pwpFocSelection.preCheckout()
      if (!result) {
        self.logError({ cartError: this.$t('Eshop.Order.FocPwp.Notice.SelectionInvalid') })
      } else {
        return result
      }
    },
  },
}
</script>
